<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./style.css">
    <title>Form</title>
</head>
<body>
    <main>
        <h1>Form</h1>
        <form method="POST" name="formId" onsubmit="startGame(); return false">
            <label for="firstname">First Name: </label>
            <input type="text" name="firstname" id="firstname" placeholder="First Name" pattern="[A-Z]{1}[a-z]+" required onblur="checkFirstName()">
            <div id="first-name-error">
                Error, first name is invalid or it is empty
            </div>
            <br>

            <label for="lastname">Last Name: </label>
            <input type="text" name="lastname" id="lastname" placeholder="Last Name" pattern="[A-Z]{1}[a-z]+" required onblur="checkLastName()">
            <div id="last-name-error">
                Error, last name is invalid or it is empty
            </div>
            <br>

            <label for="date">Date of birth: </label>
            <input name="date" id="date" type="datetime-local">
            <br>

            <label for="email">Email: </label>
            <input type="email" name="date" id="email" placeholder="Email" required onblur="checkEmail()">
            <div id="email-error">
                Error, email address invalid or it is empty
            </div>
            <br>

            <label for="webpage">Favourite Web Page: </label>
            <input type="url" name="webpage" id="webpage" placeholder="Webpage" required onblur="checkUrl()">
            <div id="web-page-error">
                Error, web page is invalid or it is empty
            </div>
            <br>

            <label for="nickname">Nickname: </label>
            <input type="text" name="nickname" id="nickname" placeholder="Nickname" required onblur="checkNickname()">
            <div id="nickname-error">
                Error, nickname is empty
            </div>
            <br>

            <label for="money">Money: </label>
            <input type="number" name="money" id="money" placeholder="Money" required onblur="checkMoney()">
            <div id="money-error">
                Error, money is invalid or it is empty
            </div>
            <br>

            <input id="submit-button" name="idSubmitButton" type="submit" value="Submit">
            <br>
        </form>

        <div id="user-data">
            Nickname:  <span id="user-nickname"></span>
            <br>
            User Money: <span id="user-money"></span>
            <br>
            Computer Money: <span id="computer-money"></span>
        </div>

        <div id="container">
            <div id="user-choice">
                <h2>User Choice</h2>
                <div id="user-images">
                    <div id="user-rock" onclick="rock()">
                        <img src="./Images/Rock.JPG" alt="Rock">
                    </div>
                    <div id="user-scrissors" onclick="scrissors()">
                        <img src="./Images/Scrissors.JPG" alt="Scrissors">
                    </div>
                    <div id="user-paper" onclick="paper()">
                        <img src="./Images/Paper.JPG" alt="Paper">
                    </div>
                </div>
            </div>
            <div id="computer-choice">
                <h2>Computer Choice</h2>
                <div id="computer-images">
                    <div id="computer-rock">
                        <img src="./Images/Rock.JPG" alt="Rock">
                    </div>
                    <div id="computer-scrissors">
                        <img src="./Images/Scrissors.JPG" alt="Scrissors">
                    </div>
                    <div id="computer-paper">
                        <img src="./Images/Paper.JPG" alt="Paper">
                    </div>
                </div>
            </div>
        </div>
        <div id="user-won"><b>Game Over! The user won</b></div>
        <div id="computer-won"><b>Game Over! The computer won</b></div>
        <button type="button" id="button" onclick="again()">Again</button>
    </main>
    <footer id="footer">
        
    </footer>
    <script src="script.js"></script>
    <script src="game.js"></script>
</body>
</html>